QGIS Application - Bug report #7770

wmts tileset table emptied upon second getcap request

2013-05-05 10:42 PM - Richard Duivenvoorde

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 16666

Description

Add a wmts service url to the add wms dialog, eg:

http://geodata.nationaalgeoregister.nl/tiles/service/wmts/brtachtergrondkaart

And click 'connect’, you will switch to the 'Tilesets' tab, and see the available layers for this service:

Then go back to the 'Layers' tab, and click 'connect’ again (to receive getcaps again, don't know why you should do it, but | just did...

Help
Select layer(s) or a tleset

Tieset cRs
EPSG:26992 EPSG:26092
£PSG:26992 EPSG:26992
£PSG:2092 EPSG:26092
£PSG:26092 EPSG:26092
EPSG26092 EPSG:26992
EPSG:26992 EPSG:26992
EPSG:28992 EPSG:26992
£PSG:20092 EPSG:26092
£PSG:20092 EPSG:26092
EPSG:26092 EPSG:26092
EPSG:26992 EPSG:26992
EPSG:26992 EPSG:26992
£PSG:28992 EPSG:26992

You will be switched to the 'Tilesets', but now (in this case) the layer column seems to be filled ok, but all other columns are empty

(except 3 rows in this case):
http://geodata.nationaalgeoregister.nl/tiles/service/wmts/brtachtergrondkaart

Layers | Layer Order | Tilesets | Server Search

Layer ~ Format Style Tileset CRS

aan
baavi 3

agviewer
bgt
bgtachtergrondkaart
brkpilot
brtachtergrondkaart image/png8 _null brtachtergrondkaart EPSG:28992 EPSG:28992

kadastralekaart

natura2000
nok2011
top10ni image/png  _null aan EPSG:28992 EPSG:28992
top250raster
top50raster
top50vector image/png8 _null brkpilot EPSG:28992 EPSG:28992
'_Help | ~ Close
Select layer(s) or a tileset
Associated revisions
Revision d1981881 - 2013-05-06 03:59 PM - Jiirgen Fischer
fix #7770
History
#1 - 2013-05-06 12:13 AM - Richard Duivenvoorde
- File 08.png added
additionally another gui glitch, which is related | think
if you have connected to a wmts (so the Tilesets tab has been activated), but then connect to a WMS eg
http://geodatai.nationaalgeoregister.nl/luchtfoto/wms
the Tilesets tab seems still activated, but going to it , it is shown empty:
http://geodata1.nationaalgeoregister.nl/luchtfoto/wms

Layers | Layer Order T\Ies:ts Server Search

Layer v Format Style Title Tileset CRS

Help ~ Close

Select layer(s) or a tileset

#2 - 2013-05-06 07:00 AM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"d1981881af9ebf9ebd9945f7403ac1b7266e90dd".
